<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.6"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>PS2 controller TRX: C:/Users/XW8400/Documents/ps2_ctrl_trx/lib/include/ps2.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">PS2 controller TRX
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.6 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('ps2_8h.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">ps2.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="ps2_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a4e14d5409408a06437f6095203cf2c08"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a4e14d5409408a06437f6095203cf2c08">PS2_DELAY_BYTE</a>&#160;&#160;&#160;10</td></tr>
<tr class="memdesc:a4e14d5409408a06437f6095203cf2c08"><td class="mdescLeft">&#160;</td><td class="mdescRight">Delay duration between asserting ATT/previous byte transfer and the next byte transfer (in mS)  <br /></td></tr>
<tr class="separator:a4e14d5409408a06437f6095203cf2c08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7e2c4af69020d61f8e78ffb15f22259"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#ad7e2c4af69020d61f8e78ffb15f22259">PS2_DELAY_PACKET</a>&#160;&#160;&#160;16</td></tr>
<tr class="memdesc:ad7e2c4af69020d61f8e78ffb15f22259"><td class="mdescLeft">&#160;</td><td class="mdescRight">Minimum delay duration between packet transfers (in mS)  <br /></td></tr>
<tr class="separator:ad7e2c4af69020d61f8e78ffb15f22259"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16322cee4bb49e74ec33780b67240c50"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a16322cee4bb49e74ec33780b67240c50">PS2_DUR_RECONFIG</a>&#160;&#160;&#160;1500</td></tr>
<tr class="memdesc:a16322cee4bb49e74ec33780b67240c50"><td class="mdescLeft">&#160;</td><td class="mdescRight">Minimum duration between reading polls to trigger reconfiguration (in mS)  <br /></td></tr>
<tr class="separator:a16322cee4bb49e74ec33780b67240c50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab023fd6e98109649ec3234c6bef5c335"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#ab023fd6e98109649ec3234c6bef5c335">PS2_ATT_PxM1</a>&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#ab329e52f8fc27b1fde769167d6699313">P1M1</a></td></tr>
<tr class="memdesc:ab023fd6e98109649ec3234c6bef5c335"><td class="mdescLeft">&#160;</td><td class="mdescRight">PxM1 register of the ATT pin (assuming the pin is Px.y)  <br /></td></tr>
<tr class="separator:ab023fd6e98109649ec3234c6bef5c335"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7dded2ddfb4da2bdf8b4308094939a76"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a7dded2ddfb4da2bdf8b4308094939a76">PS2_ATT_PxM2</a>&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#a7b410c6a3e25d31e2794b20090c98786">P1M2</a></td></tr>
<tr class="memdesc:a7dded2ddfb4da2bdf8b4308094939a76"><td class="mdescLeft">&#160;</td><td class="mdescRight">PxM2 register of the ATT pin (assuming the pin is Px.y)  <br /></td></tr>
<tr class="separator:a7dded2ddfb4da2bdf8b4308094939a76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2989c6f2d2cd29410d3315779a8bf7d3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a2989c6f2d2cd29410d3315779a8bf7d3">PS2_ATT_Px</a>&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#a064e921a8b02f66fd1e90b6b36298773">P1</a></td></tr>
<tr class="memdesc:a2989c6f2d2cd29410d3315779a8bf7d3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Px register of the ATT pin (assuming the pin is Px.y)  <br /></td></tr>
<tr class="separator:a2989c6f2d2cd29410d3315779a8bf7d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e5f482a33a2830fbc182c0b8e10a1ed"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a8e5f482a33a2830fbc182c0b8e10a1ed">PS2_ATT_PIN</a>&#160;&#160;&#160;1</td></tr>
<tr class="memdesc:a8e5f482a33a2830fbc182c0b8e10a1ed"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pin number (y) of the ATT pin (assuming the pin is Px.y)  <br /></td></tr>
<tr class="separator:a8e5f482a33a2830fbc182c0b8e10a1ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40162d905e67d2ae87ff530d3250fb85"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a40162d905e67d2ae87ff530d3250fb85">ps2_transfer_mode</a>(ret)&#160;&#160;&#160;((ret) &gt;&gt; 4)</td></tr>
<tr class="memdesc:a40162d905e67d2ae87ff530d3250fb85"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the controller's current mode.  <br /></td></tr>
<tr class="separator:a40162d905e67d2ae87ff530d3250fb85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08f141f8fe857ef4a6262861ce27b57a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a08f141f8fe857ef4a6262861ce27b57a">ps2_transfer_words</a>(ret)&#160;&#160;&#160;((ret) &amp; 0x0F)</td></tr>
<tr class="memdesc:a08f141f8fe857ef4a6262861ce27b57a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of words transferred with the controler.  <br /></td></tr>
<tr class="separator:a08f141f8fe857ef4a6262861ce27b57a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d3828bf7f32f36d447b8ef424c52672"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a0d3828bf7f32f36d447b8ef424c52672">PS2_MODE_DIGITAL</a>&#160;&#160;&#160;0x4</td></tr>
<tr class="memdesc:a0d3828bf7f32f36d447b8ef424c52672"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mode value for digital mode (no pressure readings, no joystick XY axis readings)  <br /></td></tr>
<tr class="separator:a0d3828bf7f32f36d447b8ef424c52672"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a244040281cd857c3952f8a1d6c0fbded"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a244040281cd857c3952f8a1d6c0fbded">PS2_MODE_ANALOG</a>&#160;&#160;&#160;0x7</td></tr>
<tr class="memdesc:a244040281cd857c3952f8a1d6c0fbded"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mode value for analog/DualShock mode (joystick XY axis available, pressure readings MAY be available (see PS2_PRESSURE)  <br /></td></tr>
<tr class="separator:a244040281cd857c3952f8a1d6c0fbded"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac25092b266b05c79c82897dc4a17001"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#aac25092b266b05c79c82897dc4a17001">PS2_MODE_ESCAPE</a>&#160;&#160;&#160;0xF</td></tr>
<tr class="memdesc:aac25092b266b05c79c82897dc4a17001"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mode value for escape/configure mode.  <br /></td></tr>
<tr class="separator:aac25092b266b05c79c82897dc4a17001"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5f02a062f7cdd40d2dcdc8c0c596844"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#ae5f02a062f7cdd40d2dcdc8c0c596844">PS2_ANALOG</a></td></tr>
<tr class="memdesc:ae5f02a062f7cdd40d2dcdc8c0c596844"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable analog mode instead of digital mode.  <br /></td></tr>
<tr class="separator:ae5f02a062f7cdd40d2dcdc8c0c596844"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7deebac8fffdc754f3b55daa9d2ab60"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#af7deebac8fffdc754f3b55daa9d2ab60">PS2_RUMBLE</a></td></tr>
<tr class="memdesc:af7deebac8fffdc754f3b55daa9d2ab60"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable vibration motors.  <br /></td></tr>
<tr class="separator:af7deebac8fffdc754f3b55daa9d2ab60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f3a95aa4d7053822b7d84c94fb5dc88"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a7f3a95aa4d7053822b7d84c94fb5dc88">PS2_PRESSURE</a></td></tr>
<tr class="memdesc:a7f3a95aa4d7053822b7d84c94fb5dc88"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable button pressure readings.  <br /></td></tr>
<tr class="separator:a7f3a95aa4d7053822b7d84c94fb5dc88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99750cfed06f445832dc7d447dfafdab"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a99750cfed06f445832dc7d447dfafdab">PS2_DIG_SELECT</a>&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[0] &amp; (1 &lt;&lt; 0)))</td></tr>
<tr class="memdesc:a99750cfed06f445832dc7d447dfafdab"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current state of the SELECT button.  <br /></td></tr>
<tr class="separator:a99750cfed06f445832dc7d447dfafdab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af85674e3fb876c487172bbedca89cb1d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#af85674e3fb876c487172bbedca89cb1d">PS2_DIG_L3</a>&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[0] &amp; (1 &lt;&lt; 1)))</td></tr>
<tr class="memdesc:af85674e3fb876c487172bbedca89cb1d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current state of the L3 (left joystick) button.  <br /></td></tr>
<tr class="separator:af85674e3fb876c487172bbedca89cb1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5b16385ee634a0a2fe7a5ba840ae394"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#ab5b16385ee634a0a2fe7a5ba840ae394">PS2_DIG_R3</a>&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[0] &amp; (1 &lt;&lt; 2)))</td></tr>
<tr class="memdesc:ab5b16385ee634a0a2fe7a5ba840ae394"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current state of the R3 (right joystick) button.  <br /></td></tr>
<tr class="separator:ab5b16385ee634a0a2fe7a5ba840ae394"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9d4f54e76f24a6fe9d80a72d2dfc8b0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#aa9d4f54e76f24a6fe9d80a72d2dfc8b0">PS2_DIG_START</a>&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[0] &amp; (1 &lt;&lt; 3)))</td></tr>
<tr class="memdesc:aa9d4f54e76f24a6fe9d80a72d2dfc8b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current state of the START button.  <br /></td></tr>
<tr class="separator:aa9d4f54e76f24a6fe9d80a72d2dfc8b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c276e2311d2f2649be4eb5c55afc8ec"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a6c276e2311d2f2649be4eb5c55afc8ec">PS2_DIG_UP</a>&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[0] &amp; (1 &lt;&lt; 4)))</td></tr>
<tr class="memdesc:a6c276e2311d2f2649be4eb5c55afc8ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current state of the D-Pad UP button.  <br /></td></tr>
<tr class="separator:a6c276e2311d2f2649be4eb5c55afc8ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03bcfec213337b6d3339ad9900609996"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a03bcfec213337b6d3339ad9900609996">PS2_DIG_RIGHT</a>&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[0] &amp; (1 &lt;&lt; 5)))</td></tr>
<tr class="memdesc:a03bcfec213337b6d3339ad9900609996"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current state of the D-Pad RIGHT button.  <br /></td></tr>
<tr class="separator:a03bcfec213337b6d3339ad9900609996"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdc6c5fa1bcb2bd59eea47c2fd2f770f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#acdc6c5fa1bcb2bd59eea47c2fd2f770f">PS2_DIG_DOWN</a>&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[0] &amp; (1 &lt;&lt; 6)))</td></tr>
<tr class="memdesc:acdc6c5fa1bcb2bd59eea47c2fd2f770f"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current state of the D-Pad DOWN button.  <br /></td></tr>
<tr class="separator:acdc6c5fa1bcb2bd59eea47c2fd2f770f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4777c9aac999a6cfb4c904f5d0e2fd6a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a4777c9aac999a6cfb4c904f5d0e2fd6a">PS2_DIG_LEFT</a>&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[0] &amp; (1 &lt;&lt; 7)))</td></tr>
<tr class="memdesc:a4777c9aac999a6cfb4c904f5d0e2fd6a"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current state of the D-Pad LEFT button.  <br /></td></tr>
<tr class="separator:a4777c9aac999a6cfb4c904f5d0e2fd6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a104e757fac8c310c56afbaacca879fc1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a104e757fac8c310c56afbaacca879fc1">PS2_DIG_L2</a>&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[1] &amp; (1 &lt;&lt; 0)))</td></tr>
<tr class="memdesc:a104e757fac8c310c56afbaacca879fc1"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current state of the L2 (left trigger) button.  <br /></td></tr>
<tr class="separator:a104e757fac8c310c56afbaacca879fc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a715eca15a0a081e32ffdccaef6d207cb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a715eca15a0a081e32ffdccaef6d207cb">PS2_DIG_R2</a>&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[1] &amp; (1 &lt;&lt; 1)))</td></tr>
<tr class="memdesc:a715eca15a0a081e32ffdccaef6d207cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current state of the R2 (right trigger) button.  <br /></td></tr>
<tr class="separator:a715eca15a0a081e32ffdccaef6d207cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adafb583e3b3a1c1328259f3a88f17ab9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#adafb583e3b3a1c1328259f3a88f17ab9">PS2_DIG_L1</a>&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[1] &amp; (1 &lt;&lt; 2)))</td></tr>
<tr class="memdesc:adafb583e3b3a1c1328259f3a88f17ab9"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current state of the L1 (left shoulder) button.  <br /></td></tr>
<tr class="separator:adafb583e3b3a1c1328259f3a88f17ab9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac88c49066a3715f0dc1a448a0c5cb293"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#ac88c49066a3715f0dc1a448a0c5cb293">PS2_DIG_R1</a>&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[1] &amp; (1 &lt;&lt; 3)))</td></tr>
<tr class="memdesc:ac88c49066a3715f0dc1a448a0c5cb293"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current state of the R1 (right shoulder) button.  <br /></td></tr>
<tr class="separator:ac88c49066a3715f0dc1a448a0c5cb293"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa14b32adb6b0705d6345ae11b9c78dea"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#aa14b32adb6b0705d6345ae11b9c78dea">PS2_DIG_TRIANGLE</a>&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[1] &amp; (1 &lt;&lt; 4)))</td></tr>
<tr class="memdesc:aa14b32adb6b0705d6345ae11b9c78dea"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current state of the TRIANGLE button.  <br /></td></tr>
<tr class="separator:aa14b32adb6b0705d6345ae11b9c78dea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a064d7e9866b1376ad89c67e40ee0a006"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a064d7e9866b1376ad89c67e40ee0a006">PS2_DIG_CIRCLE</a>&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[1] &amp; (1 &lt;&lt; 5)))</td></tr>
<tr class="memdesc:a064d7e9866b1376ad89c67e40ee0a006"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current state of the CIRCLE (O) button.  <br /></td></tr>
<tr class="separator:a064d7e9866b1376ad89c67e40ee0a006"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8a084112481a2fc742747369e24afa1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#af8a084112481a2fc742747369e24afa1">PS2_DIG_O</a>&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a064d7e9866b1376ad89c67e40ee0a006">PS2_DIG_CIRCLE</a></td></tr>
<tr class="memdesc:af8a084112481a2fc742747369e24afa1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Alias for PS2_DIG_CIRCLE.  <br /></td></tr>
<tr class="separator:af8a084112481a2fc742747369e24afa1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3fa1a5e28c408eea63213fda205f0eb0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a3fa1a5e28c408eea63213fda205f0eb0">PS2_DIG_CROSS</a>&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[1] &amp; (1 &lt;&lt; 6)))</td></tr>
<tr class="memdesc:a3fa1a5e28c408eea63213fda205f0eb0"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current state of the CROSS (X) button.  <br /></td></tr>
<tr class="separator:a3fa1a5e28c408eea63213fda205f0eb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a110fd43cf359448693d61d390588bd9e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a110fd43cf359448693d61d390588bd9e">PS2_DIG_X</a>&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a3fa1a5e28c408eea63213fda205f0eb0">PS2_DIG_CROSS</a></td></tr>
<tr class="memdesc:a110fd43cf359448693d61d390588bd9e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Alias for PS2_DIG_CROSS.  <br /></td></tr>
<tr class="separator:a110fd43cf359448693d61d390588bd9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa87e446c5787c70add5ff399d7933f97"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#aa87e446c5787c70add5ff399d7933f97">PS2_DIG_SQUARE</a>&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[1] &amp; (1 &lt;&lt; 7)))</td></tr>
<tr class="memdesc:aa87e446c5787c70add5ff399d7933f97"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current state of the SQUARE button.  <br /></td></tr>
<tr class="separator:aa87e446c5787c70add5ff399d7933f97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a227480bb25059ff85eb33f514e6d5e62"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a227480bb25059ff85eb33f514e6d5e62">PS2_ANA_RX</a>&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[2]</td></tr>
<tr class="memdesc:a227480bb25059ff85eb33f514e6d5e62"><td class="mdescLeft">&#160;</td><td class="mdescRight">The right joystick's X (horizontal) axis.  <br /></td></tr>
<tr class="separator:a227480bb25059ff85eb33f514e6d5e62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a874a8989ed49831329b98292d170cdec"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a874a8989ed49831329b98292d170cdec">PS2_ANA_RY</a>&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[3]</td></tr>
<tr class="memdesc:a874a8989ed49831329b98292d170cdec"><td class="mdescLeft">&#160;</td><td class="mdescRight">The right joystick's Y (vertical) axis.  <br /></td></tr>
<tr class="separator:a874a8989ed49831329b98292d170cdec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c7e20e23364b4fb8baa69a875a2d474"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a4c7e20e23364b4fb8baa69a875a2d474">PS2_ANA_LX</a>&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[4]</td></tr>
<tr class="memdesc:a4c7e20e23364b4fb8baa69a875a2d474"><td class="mdescLeft">&#160;</td><td class="mdescRight">The left joystick's X (horizontal) axis.  <br /></td></tr>
<tr class="separator:a4c7e20e23364b4fb8baa69a875a2d474"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa5fc3a50f62979d4373e1f91dce09ac"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#aaa5fc3a50f62979d4373e1f91dce09ac">PS2_ANA_LY</a>&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[5]</td></tr>
<tr class="memdesc:aaa5fc3a50f62979d4373e1f91dce09ac"><td class="mdescLeft">&#160;</td><td class="mdescRight">The left joystick's Y (vertical) axis.  <br /></td></tr>
<tr class="separator:aaa5fc3a50f62979d4373e1f91dce09ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab17169ff31c74f64616838c4bede3209"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#ab17169ff31c74f64616838c4bede3209">PS2_ANA_RIGHT</a>&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[6]</td></tr>
<tr class="memdesc:ab17169ff31c74f64616838c4bede3209"><td class="mdescLeft">&#160;</td><td class="mdescRight">The D-Pad RIGHT button's pressure.  <br /></td></tr>
<tr class="separator:ab17169ff31c74f64616838c4bede3209"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a9fc498dd6f20c924e1a53443822035"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a7a9fc498dd6f20c924e1a53443822035">PS2_ANA_LEFT</a>&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[7]</td></tr>
<tr class="memdesc:a7a9fc498dd6f20c924e1a53443822035"><td class="mdescLeft">&#160;</td><td class="mdescRight">The D-Pad LEFT button's pressure.  <br /></td></tr>
<tr class="separator:a7a9fc498dd6f20c924e1a53443822035"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a43d2a62e1504d65a26a1192b189187"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a1a43d2a62e1504d65a26a1192b189187">PS2_ANA_UP</a>&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[8]</td></tr>
<tr class="memdesc:a1a43d2a62e1504d65a26a1192b189187"><td class="mdescLeft">&#160;</td><td class="mdescRight">The D-Pad UP button's pressure.  <br /></td></tr>
<tr class="separator:a1a43d2a62e1504d65a26a1192b189187"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9cb099d20fada7b5ea614e911b8ba6d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#ac9cb099d20fada7b5ea614e911b8ba6d">PS2_ANA_DOWN</a>&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[9]</td></tr>
<tr class="memdesc:ac9cb099d20fada7b5ea614e911b8ba6d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The D-Pad DOWN button's pressure.  <br /></td></tr>
<tr class="separator:ac9cb099d20fada7b5ea614e911b8ba6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97b62d34362de166a89ca01517b3ff22"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a97b62d34362de166a89ca01517b3ff22">PS2_ANA_TRIANGLE</a>&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[10]</td></tr>
<tr class="memdesc:a97b62d34362de166a89ca01517b3ff22"><td class="mdescLeft">&#160;</td><td class="mdescRight">The TRIANGLE button's pressure.  <br /></td></tr>
<tr class="separator:a97b62d34362de166a89ca01517b3ff22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaca89ba624bfbd4efa9dfafa5780df3f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#aaca89ba624bfbd4efa9dfafa5780df3f">PS2_ANA_CIRCLE</a>&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[11]</td></tr>
<tr class="memdesc:aaca89ba624bfbd4efa9dfafa5780df3f"><td class="mdescLeft">&#160;</td><td class="mdescRight">The CIRCLE (O) button's pressure.  <br /></td></tr>
<tr class="separator:aaca89ba624bfbd4efa9dfafa5780df3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a230efd50e84a3334b4c83fae1d54506c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a230efd50e84a3334b4c83fae1d54506c">PS2_ANA_O</a>&#160;&#160;&#160;<a class="el" href="ps2_8h.html#aaca89ba624bfbd4efa9dfafa5780df3f">PS2_ANA_CIRCLE</a></td></tr>
<tr class="memdesc:a230efd50e84a3334b4c83fae1d54506c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Alias for PS2_ANA_CIRCLE.  <br /></td></tr>
<tr class="separator:a230efd50e84a3334b4c83fae1d54506c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab34eba7232e5586a6d4d0f40c39387bf"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#ab34eba7232e5586a6d4d0f40c39387bf">PS2_ANA_CROSS</a>&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[12]</td></tr>
<tr class="memdesc:ab34eba7232e5586a6d4d0f40c39387bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">The CROSS (X) button's pressure.  <br /></td></tr>
<tr class="separator:ab34eba7232e5586a6d4d0f40c39387bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e417040a3dc05790f5389f779545e97"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a0e417040a3dc05790f5389f779545e97">PS2_ANA_X</a>&#160;&#160;&#160;<a class="el" href="ps2_8h.html#aaca89ba624bfbd4efa9dfafa5780df3f">PS2_ANA_CIRCLE</a></td></tr>
<tr class="memdesc:a0e417040a3dc05790f5389f779545e97"><td class="mdescLeft">&#160;</td><td class="mdescRight">Alias for PS2_ANA_CROSS.  <br /></td></tr>
<tr class="separator:a0e417040a3dc05790f5389f779545e97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab576d6c66099330fd7713ca0aa8d2007"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#ab576d6c66099330fd7713ca0aa8d2007">PS2_ANA_SQUARE</a>&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[13]</td></tr>
<tr class="memdesc:ab576d6c66099330fd7713ca0aa8d2007"><td class="mdescLeft">&#160;</td><td class="mdescRight">The SQUARE button's pressure.  <br /></td></tr>
<tr class="separator:ab576d6c66099330fd7713ca0aa8d2007"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27f6ddba9beab51125060fbb93129eae"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a27f6ddba9beab51125060fbb93129eae">PS2_ANA_L2</a>&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[14]</td></tr>
<tr class="memdesc:a27f6ddba9beab51125060fbb93129eae"><td class="mdescLeft">&#160;</td><td class="mdescRight">The L2 (left trigger) button's pressure.  <br /></td></tr>
<tr class="separator:a27f6ddba9beab51125060fbb93129eae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95839095122fd3a17cfd40d20ab8003d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a95839095122fd3a17cfd40d20ab8003d">PS2_ANA_R2</a>&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[15]</td></tr>
<tr class="memdesc:a95839095122fd3a17cfd40d20ab8003d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The R2 (right trigger) button's pressure.  <br /></td></tr>
<tr class="separator:a95839095122fd3a17cfd40d20ab8003d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace90630d75c1ae4da3fb05d54993947a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#ace90630d75c1ae4da3fb05d54993947a">PS2_ANA_L1</a>&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[16]</td></tr>
<tr class="memdesc:ace90630d75c1ae4da3fb05d54993947a"><td class="mdescLeft">&#160;</td><td class="mdescRight">The L1 (left shoulder) button's pressure.  <br /></td></tr>
<tr class="separator:ace90630d75c1ae4da3fb05d54993947a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a459722a53b10c3a66872e25aad0d4f08"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a459722a53b10c3a66872e25aad0d4f08">PS2_ANA_R1</a>&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[17]</td></tr>
<tr class="memdesc:a459722a53b10c3a66872e25aad0d4f08"><td class="mdescLeft">&#160;</td><td class="mdescRight">The R1 (right shoulder) button's pressure.  <br /></td></tr>
<tr class="separator:a459722a53b10c3a66872e25aad0d4f08"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aeb8d49f2e480fd8c547f2d0a0850854a"><td class="memItemLeft" align="right" valign="top">unsigned char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#aeb8d49f2e480fd8c547f2d0a0850854a">ps2_transfer</a> (unsigned char cmd)</td></tr>
<tr class="memdesc:aeb8d49f2e480fd8c547f2d0a0850854a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Transfer a packet with the PS2 controller (packet payload is stored in ps2_buffer)  <br /></td></tr>
<tr class="separator:aeb8d49f2e480fd8c547f2d0a0850854a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a462521bb00ff2b45b3877478d84a5964"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a462521bb00ff2b45b3877478d84a5964">ps2_init</a> (void)</td></tr>
<tr class="memdesc:a462521bb00ff2b45b3877478d84a5964"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize PS2 controller.  <br /></td></tr>
<tr class="separator:a462521bb00ff2b45b3877478d84a5964"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a554d47f381d48b1f2495ccbfd36d2f0b"><td class="memItemLeft" align="right" valign="top">unsigned char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a554d47f381d48b1f2495ccbfd36d2f0b">ps2_poll</a> (void)</td></tr>
<tr class="memdesc:a554d47f381d48b1f2495ccbfd36d2f0b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Poll readings from the PS2 controller.  <br /></td></tr>
<tr class="separator:a554d47f381d48b1f2495ccbfd36d2f0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a75414ce13947efc20f73a711eb6fa246"><td class="memItemLeft" align="right" valign="top">unsigned char xdata&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a> [32]</td></tr>
<tr class="memdesc:a75414ce13947efc20f73a711eb6fa246"><td class="mdescLeft">&#160;</td><td class="mdescRight">PS2 controller packet payload I/O buffer (read and written back by ps2_transfer)  <br /></td></tr>
<tr class="separator:a75414ce13947efc20f73a711eb6fa246"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="aaca89ba624bfbd4efa9dfafa5780df3f" name="aaca89ba624bfbd4efa9dfafa5780df3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaca89ba624bfbd4efa9dfafa5780df3f">&#9670;&#160;</a></span>PS2_ANA_CIRCLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_ANA_CIRCLE&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[11]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The CIRCLE (O) button's pressure. </p>
<dl class="section return"><dt>Returns</dt><dd>The button's pressure (0 = not pressed, 255 = fully pressed) </dd></dl>

</div>
</div>
<a id="ab34eba7232e5586a6d4d0f40c39387bf" name="ab34eba7232e5586a6d4d0f40c39387bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab34eba7232e5586a6d4d0f40c39387bf">&#9670;&#160;</a></span>PS2_ANA_CROSS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_ANA_CROSS&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[12]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The CROSS (X) button's pressure. </p>
<dl class="section return"><dt>Returns</dt><dd>The button's pressure (0 = not pressed, 255 = fully pressed) </dd></dl>

</div>
</div>
<a id="ac9cb099d20fada7b5ea614e911b8ba6d" name="ac9cb099d20fada7b5ea614e911b8ba6d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9cb099d20fada7b5ea614e911b8ba6d">&#9670;&#160;</a></span>PS2_ANA_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_ANA_DOWN&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[9]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The D-Pad DOWN button's pressure. </p>
<dl class="section return"><dt>Returns</dt><dd>The button's pressure (0 = not pressed, 255 = fully pressed) </dd></dl>

</div>
</div>
<a id="ace90630d75c1ae4da3fb05d54993947a" name="ace90630d75c1ae4da3fb05d54993947a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace90630d75c1ae4da3fb05d54993947a">&#9670;&#160;</a></span>PS2_ANA_L1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_ANA_L1&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[16]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The L1 (left shoulder) button's pressure. </p>
<dl class="section return"><dt>Returns</dt><dd>The button's pressure (0 = not pressed, 255 = fully pressed) </dd></dl>

</div>
</div>
<a id="a27f6ddba9beab51125060fbb93129eae" name="a27f6ddba9beab51125060fbb93129eae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27f6ddba9beab51125060fbb93129eae">&#9670;&#160;</a></span>PS2_ANA_L2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_ANA_L2&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[14]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The L2 (left trigger) button's pressure. </p>
<dl class="section return"><dt>Returns</dt><dd>The button's pressure (0 = not pressed, 255 = fully pressed) </dd></dl>

</div>
</div>
<a id="a7a9fc498dd6f20c924e1a53443822035" name="a7a9fc498dd6f20c924e1a53443822035"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a9fc498dd6f20c924e1a53443822035">&#9670;&#160;</a></span>PS2_ANA_LEFT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_ANA_LEFT&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[7]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The D-Pad LEFT button's pressure. </p>
<dl class="section return"><dt>Returns</dt><dd>The button's pressure (0 = not pressed, 255 = fully pressed) </dd></dl>

</div>
</div>
<a id="a4c7e20e23364b4fb8baa69a875a2d474" name="a4c7e20e23364b4fb8baa69a875a2d474"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c7e20e23364b4fb8baa69a875a2d474">&#9670;&#160;</a></span>PS2_ANA_LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_ANA_LX&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[4]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The left joystick's X (horizontal) axis. </p>
<dl class="section return"><dt>Returns</dt><dd>The axis value (0 = leftmost, 255 = rightmost) </dd></dl>

</div>
</div>
<a id="aaa5fc3a50f62979d4373e1f91dce09ac" name="aaa5fc3a50f62979d4373e1f91dce09ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa5fc3a50f62979d4373e1f91dce09ac">&#9670;&#160;</a></span>PS2_ANA_LY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_ANA_LY&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[5]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The left joystick's Y (vertical) axis. </p>
<dl class="section return"><dt>Returns</dt><dd>The axis value (0 = topmost, 255 = bottommost) </dd></dl>

</div>
</div>
<a id="a230efd50e84a3334b4c83fae1d54506c" name="a230efd50e84a3334b4c83fae1d54506c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a230efd50e84a3334b4c83fae1d54506c">&#9670;&#160;</a></span>PS2_ANA_O</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_ANA_O&#160;&#160;&#160;<a class="el" href="ps2_8h.html#aaca89ba624bfbd4efa9dfafa5780df3f">PS2_ANA_CIRCLE</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Alias for PS2_ANA_CIRCLE. </p>
<dl class="section return"><dt>Returns</dt><dd>The CIRCLE button's pressure (0 = not pressed, 255 = fully pressed) </dd></dl>

</div>
</div>
<a id="a459722a53b10c3a66872e25aad0d4f08" name="a459722a53b10c3a66872e25aad0d4f08"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a459722a53b10c3a66872e25aad0d4f08">&#9670;&#160;</a></span>PS2_ANA_R1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_ANA_R1&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[17]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The R1 (right shoulder) button's pressure. </p>
<dl class="section return"><dt>Returns</dt><dd>The button's pressure (0 = not pressed, 255 = fully pressed) </dd></dl>

</div>
</div>
<a id="a95839095122fd3a17cfd40d20ab8003d" name="a95839095122fd3a17cfd40d20ab8003d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a95839095122fd3a17cfd40d20ab8003d">&#9670;&#160;</a></span>PS2_ANA_R2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_ANA_R2&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[15]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The R2 (right trigger) button's pressure. </p>
<dl class="section return"><dt>Returns</dt><dd>The button's pressure (0 = not pressed, 255 = fully pressed) </dd></dl>

</div>
</div>
<a id="ab17169ff31c74f64616838c4bede3209" name="ab17169ff31c74f64616838c4bede3209"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab17169ff31c74f64616838c4bede3209">&#9670;&#160;</a></span>PS2_ANA_RIGHT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_ANA_RIGHT&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[6]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The D-Pad RIGHT button's pressure. </p>
<dl class="section return"><dt>Returns</dt><dd>The button's pressure (0 = not pressed, 255 = fully pressed) </dd></dl>

</div>
</div>
<a id="a227480bb25059ff85eb33f514e6d5e62" name="a227480bb25059ff85eb33f514e6d5e62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a227480bb25059ff85eb33f514e6d5e62">&#9670;&#160;</a></span>PS2_ANA_RX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_ANA_RX&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[2]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The right joystick's X (horizontal) axis. </p>
<dl class="section return"><dt>Returns</dt><dd>The axis value (0 = leftmost, 255 = rightmost) </dd></dl>

</div>
</div>
<a id="a874a8989ed49831329b98292d170cdec" name="a874a8989ed49831329b98292d170cdec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a874a8989ed49831329b98292d170cdec">&#9670;&#160;</a></span>PS2_ANA_RY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_ANA_RY&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[3]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The right joystick's Y (vertical) axis. </p>
<dl class="section return"><dt>Returns</dt><dd>The axis value (0 = topmost, 255 = bottommost) </dd></dl>

</div>
</div>
<a id="ab576d6c66099330fd7713ca0aa8d2007" name="ab576d6c66099330fd7713ca0aa8d2007"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab576d6c66099330fd7713ca0aa8d2007">&#9670;&#160;</a></span>PS2_ANA_SQUARE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_ANA_SQUARE&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[13]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The SQUARE button's pressure. </p>
<dl class="section return"><dt>Returns</dt><dd>The button's pressure (0 = not pressed, 255 = fully pressed) </dd></dl>

</div>
</div>
<a id="a97b62d34362de166a89ca01517b3ff22" name="a97b62d34362de166a89ca01517b3ff22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97b62d34362de166a89ca01517b3ff22">&#9670;&#160;</a></span>PS2_ANA_TRIANGLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_ANA_TRIANGLE&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[10]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The TRIANGLE button's pressure. </p>
<dl class="section return"><dt>Returns</dt><dd>The button's pressure (0 = not pressed, 255 = fully pressed) </dd></dl>

</div>
</div>
<a id="a1a43d2a62e1504d65a26a1192b189187" name="a1a43d2a62e1504d65a26a1192b189187"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a43d2a62e1504d65a26a1192b189187">&#9670;&#160;</a></span>PS2_ANA_UP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_ANA_UP&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[8]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The D-Pad UP button's pressure. </p>
<dl class="section return"><dt>Returns</dt><dd>The button's pressure (0 = not pressed, 255 = fully pressed) </dd></dl>

</div>
</div>
<a id="a0e417040a3dc05790f5389f779545e97" name="a0e417040a3dc05790f5389f779545e97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e417040a3dc05790f5389f779545e97">&#9670;&#160;</a></span>PS2_ANA_X</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_ANA_X&#160;&#160;&#160;<a class="el" href="ps2_8h.html#aaca89ba624bfbd4efa9dfafa5780df3f">PS2_ANA_CIRCLE</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Alias for PS2_ANA_CROSS. </p>
<dl class="section return"><dt>Returns</dt><dd>The CROSS button's pressure (0 = not pressed, 255 = fully pressed) </dd></dl>

</div>
</div>
<a id="ae5f02a062f7cdd40d2dcdc8c0c596844" name="ae5f02a062f7cdd40d2dcdc8c0c596844"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5f02a062f7cdd40d2dcdc8c0c596844">&#9670;&#160;</a></span>PS2_ANALOG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_ANALOG</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable analog mode instead of digital mode. </p>

</div>
</div>
<a id="a8e5f482a33a2830fbc182c0b8e10a1ed" name="a8e5f482a33a2830fbc182c0b8e10a1ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e5f482a33a2830fbc182c0b8e10a1ed">&#9670;&#160;</a></span>PS2_ATT_PIN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_ATT_PIN&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pin number (y) of the ATT pin (assuming the pin is Px.y) </p>

</div>
</div>
<a id="a2989c6f2d2cd29410d3315779a8bf7d3" name="a2989c6f2d2cd29410d3315779a8bf7d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2989c6f2d2cd29410d3315779a8bf7d3">&#9670;&#160;</a></span>PS2_ATT_Px</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_ATT_Px&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#a064e921a8b02f66fd1e90b6b36298773">P1</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Px register of the ATT pin (assuming the pin is Px.y) </p>

</div>
</div>
<a id="ab023fd6e98109649ec3234c6bef5c335" name="ab023fd6e98109649ec3234c6bef5c335"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab023fd6e98109649ec3234c6bef5c335">&#9670;&#160;</a></span>PS2_ATT_PxM1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_ATT_PxM1&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#ab329e52f8fc27b1fde769167d6699313">P1M1</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>PxM1 register of the ATT pin (assuming the pin is Px.y) </p>

</div>
</div>
<a id="a7dded2ddfb4da2bdf8b4308094939a76" name="a7dded2ddfb4da2bdf8b4308094939a76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7dded2ddfb4da2bdf8b4308094939a76">&#9670;&#160;</a></span>PS2_ATT_PxM2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_ATT_PxM2&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#a7b410c6a3e25d31e2794b20090c98786">P1M2</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>PxM2 register of the ATT pin (assuming the pin is Px.y) </p>

</div>
</div>
<a id="a4e14d5409408a06437f6095203cf2c08" name="a4e14d5409408a06437f6095203cf2c08"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e14d5409408a06437f6095203cf2c08">&#9670;&#160;</a></span>PS2_DELAY_BYTE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_DELAY_BYTE&#160;&#160;&#160;10</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Delay duration between asserting ATT/previous byte transfer and the next byte transfer (in mS) </p>

</div>
</div>
<a id="ad7e2c4af69020d61f8e78ffb15f22259" name="ad7e2c4af69020d61f8e78ffb15f22259"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7e2c4af69020d61f8e78ffb15f22259">&#9670;&#160;</a></span>PS2_DELAY_PACKET</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_DELAY_PACKET&#160;&#160;&#160;16</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Minimum delay duration between packet transfers (in mS) </p>

</div>
</div>
<a id="a064d7e9866b1376ad89c67e40ee0a006" name="a064d7e9866b1376ad89c67e40ee0a006"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a064d7e9866b1376ad89c67e40ee0a006">&#9670;&#160;</a></span>PS2_DIG_CIRCLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_DIG_CIRCLE&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[1] &amp; (1 &lt;&lt; 5)))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current state of the CIRCLE (O) button. </p>
<dl class="section return"><dt>Returns</dt><dd>TRUE if the button is pressed, FALSE otherwise </dd></dl>

</div>
</div>
<a id="a3fa1a5e28c408eea63213fda205f0eb0" name="a3fa1a5e28c408eea63213fda205f0eb0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3fa1a5e28c408eea63213fda205f0eb0">&#9670;&#160;</a></span>PS2_DIG_CROSS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_DIG_CROSS&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[1] &amp; (1 &lt;&lt; 6)))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current state of the CROSS (X) button. </p>
<dl class="section return"><dt>Returns</dt><dd>TRUE if the button is pressed, FALSE otherwise </dd></dl>

</div>
</div>
<a id="acdc6c5fa1bcb2bd59eea47c2fd2f770f" name="acdc6c5fa1bcb2bd59eea47c2fd2f770f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acdc6c5fa1bcb2bd59eea47c2fd2f770f">&#9670;&#160;</a></span>PS2_DIG_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_DIG_DOWN&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[0] &amp; (1 &lt;&lt; 6)))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current state of the D-Pad DOWN button. </p>
<dl class="section return"><dt>Returns</dt><dd>TRUE if the button is pressed, FALSE otherwise </dd></dl>

</div>
</div>
<a id="adafb583e3b3a1c1328259f3a88f17ab9" name="adafb583e3b3a1c1328259f3a88f17ab9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adafb583e3b3a1c1328259f3a88f17ab9">&#9670;&#160;</a></span>PS2_DIG_L1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_DIG_L1&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[1] &amp; (1 &lt;&lt; 2)))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current state of the L1 (left shoulder) button. </p>
<dl class="section return"><dt>Returns</dt><dd>TRUE if the button is pressed, FALSE otherwise </dd></dl>

</div>
</div>
<a id="a104e757fac8c310c56afbaacca879fc1" name="a104e757fac8c310c56afbaacca879fc1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a104e757fac8c310c56afbaacca879fc1">&#9670;&#160;</a></span>PS2_DIG_L2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_DIG_L2&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[1] &amp; (1 &lt;&lt; 0)))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current state of the L2 (left trigger) button. </p>
<dl class="section return"><dt>Returns</dt><dd>TRUE if the button is pressed, FALSE otherwise </dd></dl>

</div>
</div>
<a id="af85674e3fb876c487172bbedca89cb1d" name="af85674e3fb876c487172bbedca89cb1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af85674e3fb876c487172bbedca89cb1d">&#9670;&#160;</a></span>PS2_DIG_L3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_DIG_L3&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[0] &amp; (1 &lt;&lt; 1)))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current state of the L3 (left joystick) button. </p>
<dl class="section return"><dt>Returns</dt><dd>TRUE if the button is pressed, FALSE otherwise </dd></dl>

</div>
</div>
<a id="a4777c9aac999a6cfb4c904f5d0e2fd6a" name="a4777c9aac999a6cfb4c904f5d0e2fd6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4777c9aac999a6cfb4c904f5d0e2fd6a">&#9670;&#160;</a></span>PS2_DIG_LEFT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_DIG_LEFT&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[0] &amp; (1 &lt;&lt; 7)))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current state of the D-Pad LEFT button. </p>
<dl class="section return"><dt>Returns</dt><dd>TRUE if the button is pressed, FALSE otherwise </dd></dl>

</div>
</div>
<a id="af8a084112481a2fc742747369e24afa1" name="af8a084112481a2fc742747369e24afa1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8a084112481a2fc742747369e24afa1">&#9670;&#160;</a></span>PS2_DIG_O</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_DIG_O&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a064d7e9866b1376ad89c67e40ee0a006">PS2_DIG_CIRCLE</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Alias for PS2_DIG_CIRCLE. </p>
<dl class="section return"><dt>Returns</dt><dd>TRUE if the CIRCLE button is pressed, FALSE otherwise </dd></dl>

</div>
</div>
<a id="ac88c49066a3715f0dc1a448a0c5cb293" name="ac88c49066a3715f0dc1a448a0c5cb293"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac88c49066a3715f0dc1a448a0c5cb293">&#9670;&#160;</a></span>PS2_DIG_R1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_DIG_R1&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[1] &amp; (1 &lt;&lt; 3)))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current state of the R1 (right shoulder) button. </p>
<dl class="section return"><dt>Returns</dt><dd>TRUE if the button is pressed, FALSE otherwise </dd></dl>

</div>
</div>
<a id="a715eca15a0a081e32ffdccaef6d207cb" name="a715eca15a0a081e32ffdccaef6d207cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a715eca15a0a081e32ffdccaef6d207cb">&#9670;&#160;</a></span>PS2_DIG_R2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_DIG_R2&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[1] &amp; (1 &lt;&lt; 1)))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current state of the R2 (right trigger) button. </p>
<dl class="section return"><dt>Returns</dt><dd>TRUE if the button is pressed, FALSE otherwise </dd></dl>

</div>
</div>
<a id="ab5b16385ee634a0a2fe7a5ba840ae394" name="ab5b16385ee634a0a2fe7a5ba840ae394"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5b16385ee634a0a2fe7a5ba840ae394">&#9670;&#160;</a></span>PS2_DIG_R3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_DIG_R3&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[0] &amp; (1 &lt;&lt; 2)))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current state of the R3 (right joystick) button. </p>
<dl class="section return"><dt>Returns</dt><dd>TRUE if the button is pressed, FALSE otherwise </dd></dl>

</div>
</div>
<a id="a03bcfec213337b6d3339ad9900609996" name="a03bcfec213337b6d3339ad9900609996"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03bcfec213337b6d3339ad9900609996">&#9670;&#160;</a></span>PS2_DIG_RIGHT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_DIG_RIGHT&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[0] &amp; (1 &lt;&lt; 5)))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current state of the D-Pad RIGHT button. </p>
<dl class="section return"><dt>Returns</dt><dd>TRUE if the button is pressed, FALSE otherwise </dd></dl>

</div>
</div>
<a id="a99750cfed06f445832dc7d447dfafdab" name="a99750cfed06f445832dc7d447dfafdab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99750cfed06f445832dc7d447dfafdab">&#9670;&#160;</a></span>PS2_DIG_SELECT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_DIG_SELECT&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[0] &amp; (1 &lt;&lt; 0)))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current state of the SELECT button. </p>
<dl class="section return"><dt>Returns</dt><dd>TRUE if the button is pressed, FALSE otherwise </dd></dl>

</div>
</div>
<a id="aa87e446c5787c70add5ff399d7933f97" name="aa87e446c5787c70add5ff399d7933f97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa87e446c5787c70add5ff399d7933f97">&#9670;&#160;</a></span>PS2_DIG_SQUARE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_DIG_SQUARE&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[1] &amp; (1 &lt;&lt; 7)))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current state of the SQUARE button. </p>
<dl class="section return"><dt>Returns</dt><dd>TRUE if the button is pressed, FALSE otherwise </dd></dl>

</div>
</div>
<a id="aa9d4f54e76f24a6fe9d80a72d2dfc8b0" name="aa9d4f54e76f24a6fe9d80a72d2dfc8b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9d4f54e76f24a6fe9d80a72d2dfc8b0">&#9670;&#160;</a></span>PS2_DIG_START</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_DIG_START&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[0] &amp; (1 &lt;&lt; 3)))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current state of the START button. </p>
<dl class="section return"><dt>Returns</dt><dd>TRUE if the button is pressed, FALSE otherwise </dd></dl>

</div>
</div>
<a id="aa14b32adb6b0705d6345ae11b9c78dea" name="aa14b32adb6b0705d6345ae11b9c78dea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa14b32adb6b0705d6345ae11b9c78dea">&#9670;&#160;</a></span>PS2_DIG_TRIANGLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_DIG_TRIANGLE&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[1] &amp; (1 &lt;&lt; 4)))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current state of the TRIANGLE button. </p>
<dl class="section return"><dt>Returns</dt><dd>TRUE if the button is pressed, FALSE otherwise </dd></dl>

</div>
</div>
<a id="a6c276e2311d2f2649be4eb5c55afc8ec" name="a6c276e2311d2f2649be4eb5c55afc8ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c276e2311d2f2649be4eb5c55afc8ec">&#9670;&#160;</a></span>PS2_DIG_UP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_DIG_UP&#160;&#160;&#160;(!(<a class="el" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[0] &amp; (1 &lt;&lt; 4)))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current state of the D-Pad UP button. </p>
<dl class="section return"><dt>Returns</dt><dd>TRUE if the button is pressed, FALSE otherwise </dd></dl>

</div>
</div>
<a id="a110fd43cf359448693d61d390588bd9e" name="a110fd43cf359448693d61d390588bd9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a110fd43cf359448693d61d390588bd9e">&#9670;&#160;</a></span>PS2_DIG_X</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_DIG_X&#160;&#160;&#160;<a class="el" href="ps2_8h.html#a3fa1a5e28c408eea63213fda205f0eb0">PS2_DIG_CROSS</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Alias for PS2_DIG_CROSS. </p>
<dl class="section return"><dt>Returns</dt><dd>TRUE if the CROSS button is pressed, FALSE otherwise </dd></dl>

</div>
</div>
<a id="a16322cee4bb49e74ec33780b67240c50" name="a16322cee4bb49e74ec33780b67240c50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16322cee4bb49e74ec33780b67240c50">&#9670;&#160;</a></span>PS2_DUR_RECONFIG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_DUR_RECONFIG&#160;&#160;&#160;1500</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Minimum duration between reading polls to trigger reconfiguration (in mS) </p>

</div>
</div>
<a id="a244040281cd857c3952f8a1d6c0fbded" name="a244040281cd857c3952f8a1d6c0fbded"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a244040281cd857c3952f8a1d6c0fbded">&#9670;&#160;</a></span>PS2_MODE_ANALOG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_MODE_ANALOG&#160;&#160;&#160;0x7</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mode value for analog/DualShock mode (joystick XY axis available, pressure readings MAY be available (see PS2_PRESSURE) </p>

</div>
</div>
<a id="a0d3828bf7f32f36d447b8ef424c52672" name="a0d3828bf7f32f36d447b8ef424c52672"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d3828bf7f32f36d447b8ef424c52672">&#9670;&#160;</a></span>PS2_MODE_DIGITAL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_MODE_DIGITAL&#160;&#160;&#160;0x4</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mode value for digital mode (no pressure readings, no joystick XY axis readings) </p>

</div>
</div>
<a id="aac25092b266b05c79c82897dc4a17001" name="aac25092b266b05c79c82897dc4a17001"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac25092b266b05c79c82897dc4a17001">&#9670;&#160;</a></span>PS2_MODE_ESCAPE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_MODE_ESCAPE&#160;&#160;&#160;0xF</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mode value for escape/configure mode. </p>

</div>
</div>
<a id="a7f3a95aa4d7053822b7d84c94fb5dc88" name="a7f3a95aa4d7053822b7d84c94fb5dc88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f3a95aa4d7053822b7d84c94fb5dc88">&#9670;&#160;</a></span>PS2_PRESSURE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_PRESSURE</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable button pressure readings. </p>

</div>
</div>
<a id="af7deebac8fffdc754f3b55daa9d2ab60" name="af7deebac8fffdc754f3b55daa9d2ab60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7deebac8fffdc754f3b55daa9d2ab60">&#9670;&#160;</a></span>PS2_RUMBLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PS2_RUMBLE</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable vibration motors. </p>

</div>
</div>
<a id="a40162d905e67d2ae87ff530d3250fb85" name="a40162d905e67d2ae87ff530d3250fb85"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40162d905e67d2ae87ff530d3250fb85">&#9670;&#160;</a></span>ps2_transfer_mode</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ps2_transfer_mode</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">ret</td><td>)</td>
          <td>&#160;&#160;&#160;((ret) &gt;&gt; 4)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the controller's current mode. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ret</td><td>The return value of <a class="el" href="ps2_8h.html#aeb8d49f2e480fd8c547f2d0a0850854a" title="Transfer a packet with the PS2 controller (packet payload is stored in ps2_buffer)">ps2_transfer()</a> or <a class="el" href="ps2_8h.html#a554d47f381d48b1f2495ccbfd36d2f0b" title="Poll readings from the PS2 controller.">ps2_poll()</a> </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The controller's current mode (see PS2_MODE_DIGITAL, PS2_MODE_ANALOG and PS2_MODE_ESCAPE) </dd></dl>

</div>
</div>
<a id="a08f141f8fe857ef4a6262861ce27b57a" name="a08f141f8fe857ef4a6262861ce27b57a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08f141f8fe857ef4a6262861ce27b57a">&#9670;&#160;</a></span>ps2_transfer_words</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ps2_transfer_words</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">ret</td><td>)</td>
          <td>&#160;&#160;&#160;((ret) &amp; 0x0F)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the number of words transferred with the controler. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ret</td><td>The return value of <a class="el" href="ps2_8h.html#aeb8d49f2e480fd8c547f2d0a0850854a" title="Transfer a packet with the PS2 controller (packet payload is stored in ps2_buffer)">ps2_transfer()</a> or <a class="el" href="ps2_8h.html#a554d47f381d48b1f2495ccbfd36d2f0b" title="Poll readings from the PS2 controller.">ps2_poll()</a> </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The number of packet payload 16-bit words </dd></dl>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a462521bb00ff2b45b3877478d84a5964" name="a462521bb00ff2b45b3877478d84a5964"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a462521bb00ff2b45b3877478d84a5964">&#9670;&#160;</a></span>ps2_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char ps2_init </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialize PS2 controller. </p>
<dl class="section return"><dt>Returns</dt><dd>Return 1 if controller can't be polled, else return 0 </dd></dl>

</div>
</div>
<a id="a554d47f381d48b1f2495ccbfd36d2f0b" name="a554d47f381d48b1f2495ccbfd36d2f0b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a554d47f381d48b1f2495ccbfd36d2f0b">&#9670;&#160;</a></span>ps2_poll()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned char ps2_poll </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Poll readings from the PS2 controller. </p>
<dl class="section return"><dt>Returns</dt><dd>0 on reconfiguration failure, or the return value of the poll command (see ps2_transfer). The retrieved readings are also stored in ps2_buffer, and can be interpreted using the PS2_DIG_* and PS2_ANA_* macros. </dd></dl>

</div>
</div>
<a id="aeb8d49f2e480fd8c547f2d0a0850854a" name="aeb8d49f2e480fd8c547f2d0a0850854a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb8d49f2e480fd8c547f2d0a0850854a">&#9670;&#160;</a></span>ps2_transfer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned char ps2_transfer </td>
          <td>(</td>
          <td class="paramtype">unsigned char&#160;</td>
          <td class="paramname"><em>cmd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Transfer a packet with the PS2 controller (packet payload is stored in ps2_buffer) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">cmd</td><td>The command to be sent to the controller </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A byte containing the controller's mode and packet payload size (in words), which can be retrieved using the ps2_transfer_mode and ps2_transfer_words macros respectively. The controller's response payload is also returned in ps2_buffer. </dd></dl>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a75414ce13947efc20f73a711eb6fa246" name="a75414ce13947efc20f73a711eb6fa246"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75414ce13947efc20f73a711eb6fa246">&#9670;&#160;</a></span>ps2_buffer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned char xdata ps2_buffer[32]</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">extern</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>PS2 controller packet payload I/O buffer (read and written back by ps2_transfer) </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_b116ddd94a245d490f1483cfe96d55a6.html">ps2_ctrl_trx</a></li><li class="navelem"><a class="el" href="dir_1a84bb234c89b52eac6ccacceb8c95a3.html">lib</a></li><li class="navelem"><a class="el" href="dir_fa75ccbeaa2e37b9dd3999ea62d2e5d8.html">include</a></li><li class="navelem"><a class="el" href="ps2_8h.html">ps2.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.6 </li>
  </ul>
</div>
</body>
</html>
